Subject: Re: [Bitcoin-development] [PULL] Add scriptPubKey enforced sendescrow and redeemescrow API calls

From: Mike Hearn <[email-masked]>
Date: Wed, 22 Jun 2011 15:24:36 +0200

Thanks for writing this. It's great to see somebody run with the contracts
protocol.

Your proposed protocol is simpler than the one I suggested, so I updated the
Contracts wiki page to use it. However your implementation, as pointed out
by Gavin, is too complicated. See my proposal on the wiki here:

  https://en.bitcoin.it/wiki/Contracts

I think you can just use an output script of

  2 <K1> <K2> <K3> 3 CHECKMULTISIGVERIFY

On Thu, Jun 16, 2011 at 6:53 AM, <[email-masked]> wrote:

> I have a pull request here:
>
> https://github.com/bitcoin/bitcoin/pull/319
>
> >From the README:
>
>  Bitcoin "escrow" are coins that are under the control of multiple
>  parties.  The initial implementation allows n parties to vote, with
>  k good signatures needed (k <= n).
>
>  This eliminates single points of failure and reduces the trust required
>  in many transaction use cases.
>
> Use cases include Escrow (without trusting the escrow agent with the
> coins), immediate payment and funds locked with multi-party signatures.
>
> This was inspired by https://forum.bitcoin.org/index.php?topic=8821.0 and
> https://forum.bitcoin.org/index.php?topic=4723.msg68804 .
>
> Feedback on the pull is very much appreciated.
>
>
>
>
>
> ------------------------------------------------------------------------------
> EditLive Enterprise is the world's most technically advanced content
> authoring tool. Experience the power of Track Changes, Inline Image
> Editing and ensure content is compliant with Accessibility Checking.
> http://p.sf.net/sfu/ephox-dev2dev
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>